Skip to main content

Retrieve a charge

GET 

/charges/:charge_id

Retrieves a single charge by its ID

Request

Path Parameters

    charge_id uuidrequired

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    Charge's ID

Responses

Charge retrieved

Schema

    status string

    Possible values: [success]

    data

    object

    id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    customer_id uuidnullable

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    invoice_id uuidnullable

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    session_id uuidnullable

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    status ChargeStatus (string)

    Possible values: [pending, succeeded, failed]

    paid boolean

    Indicates if the Charge has been captured

    disputed boolean

    Indicates if the Charge has been disputed

    refunded boolean

    Indicates if the Charge has been refunded partially or completely

    failure_code stringnullable

    It will show the error code when the charge fails

    failure_message stringnullable

    It will show the error message when the charge fails

    amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    amount_captured

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    amount_refunded

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    description stringnullable

    Possible values: <= 255 characters

    Description for this charge

    billing_details

    object

    name stringnullable

    Possible values: <= 255 characters

    Name of the billing contact person

    email emailnullable

    Possible values: <= 255 characters

    Email Address

    phone_number PhoneNumber (string)nullable

    Possible values: non-empty and <= 20 characters

    Phone Number

    address

    object

    nullable

    Address of the billing contact

    country CountryISO (string)nullable

    Possible values: >= 2 characters and <= 2 characters

    Two-letter code ISO 3166-1 country code

    line1 stringnullable

    Possible values: <= 255 characters

    line2 stringnullable

    Possible values: <= 255 characters

    zip stringnullable

    Possible values: <= 255 characters

    city stringnullable

    Possible values: <= 255 characters

    state stringnullable

    Possible values: <= 255 characters

    shipping_details

    object

    name stringrequired

    Possible values: <= 255 characters

    Name of the shipping contact person

    phone_number PhoneNumber (string)nullable

    Possible values: non-empty and <= 20 characters

    Phone Number

    address

    object

    required

    Address of the shipping destination

    country CountryISO (string)nullable

    Possible values: >= 2 characters and <= 2 characters

    Two-letter code ISO 3166-1 country code

    line1 stringnullable

    Possible values: <= 255 characters

    line2 stringnullable

    Possible values: <= 255 characters

    zip stringnullable

    Possible values: <= 255 characters

    city stringnullable

    Possible values: <= 255 characters

    state stringnullable

    Possible values: <= 255 characters

    fees

    object[]

  • Array [

  • name string

    Fee's name

    percentage string

    Fee's percent

    amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    total_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

  • ]

  • source_payment_method

    object

    anyOf

    id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    type string

    Possible values: [card, bank-account, wallet, crypto-wallet]

    billing_details

    object

    name stringnullable

    Possible values: <= 255 characters

    Name of the billing contact person

    email emailnullable

    Possible values: <= 255 characters

    Email Address

    card

    object

    expiration

    object

    month string

    Possible values: >= 2 characters and <= 2 characters

    2 digit expiration month

    year string

    Possible values: >= 4 characters and <= 4 characters

    4 digit expiration year

    brand string
    last4 string

    destination_payment_method

    object

    anyOf

    id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    type string

    Possible values: [card, bank-account, wallet, crypto-wallet]

    billing_details

    object

    name stringnullable

    Possible values: <= 255 characters

    Name of the billing contact person

    email emailnullable

    Possible values: <= 255 characters

    Email Address

    card

    object

    expiration

    object

    month string

    Possible values: >= 2 characters and <= 2 characters

    2 digit expiration month

    year string

    Possible values: >= 4 characters and <= 4 characters

    4 digit expiration year

    brand string
    last4 string

    metadata

    object

    A metadata object containing key-value pairs. Keys must be strings, and values are strings. The object can also be empty.

    property name* string
    created_on Unix timestamp

    Unix timestamp representing the date

    code integer

    Possible values: [200]

    message string

    Possible values: [Successful request]

Loading...